Subject: The original NSAP variable length addresses

From: V Guruprasad <[email-masked]>
Date: Mon, 27 Jan 2003 12:59:27 -0500

On 25 Apr 2000, you'd written:

> One interesting example:  OSI NSAP addresses are variable length, with a
> theoretical limit of 255 bytes I believe (perhaps there's an escape
> mechanism to grow them longer?).  There was an "implementors'
> agreement" to limit the maximum length in actual use to 20 bytes "for now",
> to make implementations practical.  Two things happened:
> 
>         (1) Almost all of the addressing plans designed for NSAPAs
>             produced addresses that were *exactly* 20 bytes long, in
>             some cases inserting padding in the middle of the address
>             to fill it out to 20 bytes!  I suspect that was done to
>             make the address allocation job easier, e.g., making
>             sure delegation boundaries fell on byte boundaries.
> 
>         (2) Many of the implementations ended up with the 20-byte limit
>             wired into them, such that the use of addresses longer than
>             20 bytes would have required updating most of the installed
>             base (the changes being of a similar nature to those required
>             to modify an IPv4 application or protocol to support IPv6).

I'd like to cite this in my thesis, and am looking for a published
reference that states the reduction.

My search to date has turned up documents, like the ATM UNI, that spec
only the 20 byte max length. Maybe I'm not looking in the right places...

Could you or anyone else possibly give me a pointer?? I'd be greatly obliged.

thanks,
-prasad.
-------------------
V. Guruprasad,
Inspired Research LLC.
http://www.columbia.edu/~vg96/papers.